一、ubuntu下tensorflow的安装。

互联网技术 waitig 648℃ 百度已收录 0评论

第一步:首先看一下电脑里是否已装python,版本是什么。

命令分别为:whereis python和直接在终端输入python命令,看显示是2.7版本还是3.x版本。

第二步:
输入以下指令:

对于2.7版本
$ sudo apt-get install python-pip python-dev
对于3.x版本
$sudo apt-get install python3-pip python3-dev

第三步,在装tensorflow之前,一定记得升级自己的pip版本,否则会报错,错误显示更新pip,所以不管是不是最新的pip版本,都要更新一下,具体命令为:

pip install --upgrade pip

第四步:安装tensorflow

cpu用户:
    python 2.7版本的用户:$pip install tensorflow
    python 3.x版本的用户:$pip3 install tensorflow
GPU用户:
    python2.7版本的用户:$pip install tensorflow-gpu
    python3.x版本的用户:$pip3 install tensorflow-gpu

安装tensorflow报错,一直是下载不下来,原因是由于谷歌,你懂得,所以下载不下来,现在找国内镜像解决问题,解决办法如下:

$sudo gedit ~/.pip/pip.conf 
在里面输入:
[global]
timeout = 6000
index-url = http://pypi.douban.com/simple/ 
[install]
use-mirrors = true
mirrors = http://pypi.douban.com/simple/ 
trusted-host = pypi.douban.com

然后在重新pip install tensorflow-gpu
第五步:
在终端依次输入如下命令:

$python
$import tensorflow

import tensorflow的时候又报错,原因是:libcudnn.so.6:cannot open sharedobject file: No such file or directory
这是因为找不到libcudnn.so.6,原因我们装的是cudnnv5,不是v6,解决办法两个,第一种是安装cudnnv6,这个我没试过,但应该可行。第二种就是降低tensorflow的安装版本,最新版本是不支持v5,所以有了如下解决办法:

$ pip uninstall tensorflow-gpu
$ pip install tensorflow-gpu==1.2

重复上述步骤,如果不报错误,则安装完成。

第六步:关于卸载tensorflow

对于python2.7用户:
$sudo pip uninstall tensorflow
对于python3.x用户:
$sudo pip3 uninstall tensorflow

本文由【waitig】发表在等英博客
本文固定链接:一、ubuntu下tensorflow的安装。
欢迎关注本站官方公众号,每日都有干货分享!
等英博客官方公众号
点赞 (0)分享 (0)